package com.engine.organization.mapper.hrmresource;


import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author:dxfeng
 * @createTime: 2022/06/30
 * @version: 1.0
 */
public interface SystemDataMapper {

    JSONObject getSysLanguageByLicense();

    List<JSONObject> getSysLanguageByActivable();

    List<JSONObject> getHrmEducationLevelData();

    List<JSONObject> getHrmJobCallData();

    List<JSONObject> getHrmLocationsByCountryId();

    List<JSONObject> getHrmUseKindData();

    String getScCompanyNameById(@Param("companyId") String companyId);

    String getScDepartmentNameById(@Param("departmentId") String departmentId);

    String getScHrmResourceNameById(@Param("managerId") String managerId);
}
