package com.engine.organization.util;

import com.engine.core.impl.Service;
import com.engine.organization.entity.LoggerContext;

import java.lang.reflect.Method;

/**
 * @author:dxfeng
 * @createTime: 2022/07/04
 * @version: 1.0
 */
public class OrganizationWrapper extends Service {


    /**
     * 记录操作日志
     *
     * @param clazz
     * @param message
     */
    public void writeOperateLog(Class clazz,
                                String message) {
        Method method = clazz.getEnclosingMethod();
        LoggerContext loggerContext = LoggerContext.builder().operatorId(user.getUID()).clientIp(user.getLoginip()).operatorName(user.getLastname()).message(message).build();
        LogAspect logAspect = new LogAspect(clazz, method, loggerContext);
        logAspect.start();
    }


}
