package com.engine.organization.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.core.impl.Service;
import com.engine.organization.service.ImportCommonService;
import com.engine.organization.service.impl.ImportCommonServiceImpl;
import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2022/06/29
 * @version: 1.0
 */
public class ImportCommonWrapper extends Service {

    private ImportCommonService getImportCommonService(User user) {
        return ServiceUtil.getService(ImportCommonServiceImpl.class, user);
    }

    public Map<String, Object> saveImportResource(Map<String, Object> params, HttpServletRequest request) {
        return getImportCommonService(user).saveImportResource(params, request);
    }
}
