package com.engine.organization.transmethod;

import com.engine.organization.enums.OperateTypeEnum;
import org.apache.commons.lang.StringUtils;

/**
 * @author:dxfeng
 * @createTime: 2022/07/05
 * @version: 1.0
 */
public class LogViewTransMethod {

    public String getOperateType(String operateType) {
        if (StringUtils.isNotBlank(operateType)) {
            switch (operateType) {
                case "1":
                    operateType = OperateTypeEnum.ADD.getLabel();
                    break;
                case "2":
                    operateType = OperateTypeEnum.UPDATE.getLabel();
                    break;
                case "3":
                    operateType = OperateTypeEnum.DELETE.getLabel();
                    break;
                default:
                    break;
            }
            return operateType;
        }
        return "";
    }
}
